Bug 991584 - Regression: systemd-fsck fails to check /usr at boot
Regression: systemd-fsck fails to check /usr at boot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 15:15 EDT by Piergiorgio Sartor
Modified: 2015-01-28 23:46 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-28 23:46:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot log as requested (26.92 KB, application/x-bzip2)
2013-08-07 14:09 EDT, Piergiorgio Sartor
no flags Details
Boot log as requested (125.62 KB, text/plain)
2013-08-07 14:46 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Piergiorgio Sartor 2013-08-02 15:15:27 EDT
Description of problem:
I've a system were /usr is a separate LVM volume, mounted "ro".
Since F-19, the regular filesystem check fails and now the mount count is way beyond the limit set with tune2fs.
Note that same setup on F-18 was working fine.

Version-Release number of selected component (if applicable):
systemd-204-9.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
Having a system with separate /usr and F-19
2.
Set the "Mount count" to "Maximum mount count"
3.
Reboot

Actual results:
The "Mount count" is increased by one and "journactl" has several entries like:
... systemd[1]: Starting File System Check on /dev/Group/usr...
... lazy.lzy systemd-fsck[358]: fsck failed with error code 8.
... lazy.lzy systemd-fsck[358]: Ignoring error.

Expected results:
The "Mount count" should go back to 1, no errors in log.

Additional info:
Other filesystems seems to be unaffected.

$> systemctl status systemd-fsck@dev-Group-usr.service
systemd-fsck@dev-Group-usr.service - File System Check on /dev/Group/usr
   Loaded: loaded (/usr/lib/systemd/system/systemd-fsck@.service; static)
   Active: inactive (dead) since Fri 2013-08-02 19:59:52 CEST; 1h 13min ago
     Docs: man:systemd-fsck@.service(8)
 Main PID: 608 (code=exited, status=0/SUCCESS)
   CGroup: name=systemd:/system/systemd-fsck@.service/systemd-fsck@dev-Group-usr.service

Aug 02 19:59:52 lazy.lzy systemd[1]: Started File System Check on /dev/Group/usr.
Comment 1 Harald Hoyer 2013-08-07 08:17:55 EDT
$ man mount
mount has the following return codes (the bits can be ORed):
...
       8      user interrupt


Can you attach the journal of such a boot?

# journalctl -ab -o short-monotonic > boot.log
Comment 2 Piergiorgio Sartor 2013-08-07 14:09:16 EDT
Created attachment 784039 [details]
Boot log as requested

Hi Harald,

the "error 8" is from "fsck", not "mount".
The "fsck" man page says:

8      Operational error

Which I find quite... funny...

The log is attached, I hope it helps,

bye,

pg
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-08-07 14:46:37 EDT
Created attachment 784071 [details]
Boot log as requested

Please do not compress stuff.
Comment 4 Harald Hoyer 2013-08-09 08:36:05 EDT
(In reply to Piergiorgio Sartor from comment #2)
> Created attachment 784039 [details]
> Boot log as requested
> 
> Hi Harald,
> 
> the "error 8" is from "fsck", not "mount".
> The "fsck" man page says:
> 
> 8      Operational error
> 
> Which I find quite... funny...


Doh.. stupid me :)
Comment 5 Harald Hoyer 2013-08-09 08:42:02 EDT
Can you boot with "rd.break" on the kernel command line?

This will drop you to a shell in the initramfs.

Please try to run fsck by hand on your /dev/Group/usr.

After that you can exit the shell and the boot should continue.
Comment 6 Piergiorgio Sartor 2013-08-09 13:06:37 EDT
(In reply to Harald Hoyer from comment #5)
> Can you boot with "rd.break" on the kernel command line?
> 
> This will drop you to a shell in the initramfs.
> 
> Please try to run fsck by hand on your /dev/Group/usr.
> 
> After that you can exit the shell and the boot should continue.

Hi Harald,

the "e2fsck" from the initramfs shell returns:

e2fsck 1.42.7 (21-Jan-2013)
/dev/mapper/Group-usr is mounted.
e2fsck: Cannot continue, aborting.

Which, by chance, is also error number 8...

It is correct, /usr is mounted already at that point (actually I even checked before running the "e2fsck" command).

Maybe some dependency on the "systemd" chain changed from F18 to F19?

bye,

pg
Comment 7 Harald Hoyer 2013-08-14 12:04:28 EDT
Should be fixed in the next dracut version

http://git.kernel.org/cgit/boot/dracut/dracut.git/commit/?id=1f4f8fb9e3d578afdcdbdfba2052e8b02fcc2775
Comment 8 Piergiorgio Sartor 2013-10-06 08:52:44 EDT
Hi Harald,

it seems "dracut", in F-19, was not updated since long time.

Any chance to get this fix before F-20?

Thanks,

bye,

pg
Comment 9 Fedora End Of Life 2015-01-09 17:27:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.